  #define GL_GLEXT_PROTOTYPES 1
#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glext.h>
#include <string>

using namespace std;

#define CAP_SHADER 1
#define CAP_GL 1

#define GLERR(call) glError(call, __FILE__, __LINE__)

typedef int flagtype;
typedef double ld;

#include "shaders.cpp"

int main() {
  SDL_Surface* s = SDL_SetVideoMode(100, 100, 32, SDL_OPENGL);
  glhr::init();
  
  glhr::be_nontextured();
  glhr::color2(0xFFC080FF);
  
  glhr::new_projection();
  glhr::set_modelview(glhr::id());
  
  GLfloat vs[9] = {0,1,0, 1,0,0, -1,-1,0};
  glhr::vertices(vs, 3);
  glDrawArrays(GL_TRIANGLES, 0, 3);
  SDL_GL_SwapBuffers();
  
  int t = SDL_GetTicks();
  while(SDL_GetTicks() < t + 3000) ;
  }
